Orxonox: TiXmlComment Class Reference

# TiXmlComment Class Reference

`#include <src/tinyxml/tinyxml.h>`

Inheritance diagram for TiXmlComment:

List of all members.

## Public Member Functions

virtual bool | Accept (TiXmlVisitor *visitor) const
virtual TiXmlNode * | Clone () const
| Returns a copy of this Comment.
void | operator= (const TiXmlComment &base)
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
virtual void | Print (FILE *cfile, int depth) const
| TiXmlComment (const TiXmlComment &)
| TiXmlComment (const char *_value)
| Construct a comment from text.
| TiXmlComment ()
| Constructs an empty comment.
virtual TiXmlComment * | ToComment ()
| Cast to a more defined type. Will return null not of the requested type.
virtual const TiXmlComment * | ToComment () const
| Cast to a more defined type. Will return null not of the requested type.
virtual | ~TiXmlComment ()

## Protected Member Functions

void | CopyTo (TiXmlComment *target) const

## Detailed Description

An XML comment.

## Constructor & Destructor Documentation

TiXmlComment::TiXmlComment | ( |  | ) | `[inline]`

Constructs an empty comment.

Referenced by Clone().

TiXmlComment::TiXmlComment | ( | const char * | _value | ) | `[inline]`

Construct a comment from text.

References TiXmlNode::SetValue().

TiXmlComment::TiXmlComment | ( | const TiXmlComment & | copy | ) |

References CopyTo().

virtual TiXmlComment::~TiXmlComment | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

bool TiXmlComment::Accept | ( | TiXmlVisitor * | visitor | ) | const`[virtual]`

Walk the XML tree visiting this node and all of its children.

Implements TiXmlNode.

References TiXmlVisitor::Visit().

TiXmlNode * TiXmlComment::Clone | ( |  | ) | const`[virtual]`

Returns a copy of this Comment.

Implements TiXmlNode.

References CopyTo(), and TiXmlComment().

void TiXmlComment::CopyTo | ( | TiXmlComment * | target | ) | const`[protected]`

References TiXmlNode::CopyTo().

Referenced by Clone(), operator=(), and TiXmlComment().

void TiXmlComment::operator= | ( | const TiXmlComment & | base | ) |

References TiXmlNode::Clear(), and CopyTo().

const char * TiXmlComment::Parse | ( | const char * | p,
|  | TiXmlParsingData * | data,
|  | TiXmlEncoding | encoding |
| ) |  |  | `[virtual]`

Implements TiXmlBase.

References TiXmlParsingData::Cursor(), TiXmlNode::GetDocument(), TiXmlBase::location, TiXmlDocument::SetError(), TiXmlBase::SkipWhiteSpace(), TiXmlParsingData::Stamp(), TiXmlBase::StringEqual(), TiXmlBase::TIXML_ERROR_PARSING_COMMENT, and TiXmlNode::value.

void TiXmlComment::Print | ( | FILE * | cfile,
|  | int | depth |
| ) |  |  | const`[virtual]`

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

References TiXmlNode::value.

virtual TiXmlComment* TiXmlComment::ToComment | ( |  | ) | `[inline, virtual]`

Cast to a more defined type. Will return null not of the requested type.

Reimplemented from TiXmlNode.

virtual const TiXmlComment* TiXmlComment::ToComment | ( |  | ) | const`[inline, virtual]`

Cast to a more defined type. Will return null not of the requested type.

Reimplemented from TiXmlNode.

The documentation for this class was generated from the following files:

- src/tinyxml/tinyxml.h
- src/tinyxml/tinyxml.cpp
- src/tinyxml/tinyxmlparser.cpp